#ifndef __ABC800_OTA_H
#define __ABC800_OTA_H
#include <Arduino.h>
#include <ESPAsyncWebServer.h>
namespace abc800
{
    void OTAtask(void * parameter);
    class web
    {
        public:
            void init();
            void sendwebserial(uint8_t test);
            bool connected = false;
            void fbuttonsinit();
            void initWebSocket();
            void handleWebSocketMessage(void *arg, uint8_t *data, size_t len);
        private:
            void notifyClients();
            
            void onEvent(AsyncWebSocket *server, AsyncWebSocketClient *client, AwsEventType type,void *arg, uint8_t *data, size_t len);
            
            String processor(const String& var);
            
            
            
    };
}

#endif